package tabhost.demo;

import android.app.TabActivity;
import android.content.Intent;
import android.os.Bundle;
import android.view.Window;
import android.widget.RadioButton;
import android.widget.RadioGroup;
import android.widget.TabHost;
import android.widget.RadioGroup.OnCheckedChangeListener;

public class TabHostDemoActivity extends TabActivity implements OnCheckedChangeListener{
	
	private RadioGroup mainTab;
	private RadioButton home, msg, set;
	private TabHost mTabHost;
	
	
	//ǩIntent
	private Intent homeIntent;
	private Intent msgIntent;
	private Intent setIntent;
	
	private final static String TAB_TAG_HOME="tab_tag_home";
	private final static String TAB_TAG_MSG="tab_tag_msg";
	private final static String TAB_TAG_SET="tab_tag_set";    
	
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        requestWindowFeature(Window.FEATURE_NO_TITLE);
        setContentView(R.layout.main);
        
        //ײǩť
        mainTab=(RadioGroup)findViewById(R.id.main_tab);
        mainTab.setOnCheckedChangeListener(this);
        home=(RadioButton)findViewById(R.id.home);
        msg=(RadioButton)findViewById(R.id.msg);
        set=(RadioButton)findViewById(R.id.set);
        
        prepareIntent();
    }

	private void prepareIntent() {
		
		//лʱ벻ͬҳ
		homeIntent=new Intent(this, TestActivity.class);
		msgIntent=new Intent(this, STestActivity.class);
		setIntent=new Intent(this, TestActivity.class);
		
		this.mTabHost=getTabHost();
		TabHost localTabHost=this.mTabHost;
		localTabHost.addTab(buildTabSpec(TAB_TAG_HOME, "ҳ", R.drawable.home, homeIntent));
		localTabHost.addTab(buildTabSpec(TAB_TAG_MSG, "Ϣ", R.drawable.home, msgIntent));
		localTabHost.addTab(buildTabSpec(TAB_TAG_SET, "", R.drawable.home, setIntent));
		
		//սʱhomeťΪĬѡ
		home.setChecked(true);                            
	}

	private TabHost.TabSpec buildTabSpec(String tag, String str, int resIcon,final Intent content) {
		return this.mTabHost.newTabSpec(tag).setIndicator(str,
				getResources().getDrawable(resIcon)).setContent(content);
	} 
	
	//ײťбǩл
	@Override
	public void onCheckedChanged(RadioGroup group, int checkedId) {
		switch(checkedId){
		case R.id.home:
			this.mTabHost.setCurrentTabByTag(TAB_TAG_HOME);
			break;
		case R.id.msg:
			this.mTabHost.setCurrentTabByTag(TAB_TAG_MSG);
			break;
		case R.id.set:
			this.mTabHost.setCurrentTabByTag(TAB_TAG_SET);
			break;
		}
	}
}